Bug 102486 - Messages that shouldn't be translated in redhat-config-cluster
Messages that shouldn't be translated in redhat-config-cluster
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 16:38 EDT by Christian Rose
Modified: 2009-04-16 15:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-18 15:44:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2003-08-15 16:38:14 EDT
Entering this here, as there is no "redhat-config-cluster" component yet (bug
102485).

#: src/configure/cluster-config.glade.h:122
msgid "clulockd"

#: src/configure/cluster-config.glade.h:123
msgid "clumembd"

#: src/configure/cluster-config.glade.h:124
msgid "cluquorumd"

#: src/configure/cluster-config.glade.h:125
msgid "clurmtabd"

#: src/configure/cluster-config.glade.h:126
msgid "clusvcmgrd"


I don't think these messages need to, or even should, be marked for translation.
Comment 1 Christian Rose 2003-08-15 17:01:52 EDT
This is also true for (I at least don't understand why they should be translated
into something different, and hence why they are marked for translation at all):


#: src/configure/clusterpkg/failoverdomain_module.py:222
#, python-format
msgid "    %s"

#: src/configure/clusterpkg/util_smbconf_module.py:159
msgid ""
"\n"
"[global]\n"

#: src/configure/clusterpkg/util_smbconf_module.py:163
#: src/configure/clusterpkg/util_smbconf_module.py:166
#: src/configure/clusterpkg/util_smbconf_module.py:176
#: src/configure/clusterpkg/util_smbconf_module.py:179
#: src/configure/clusterpkg/util_smbconf_module.py:187
#, python-format
msgid "\t%s = %s\n"

#: src/configure/clusterpkg/util_smbconf_module.py:169
#: src/configure/clusterpkg/util_smbconf_module.py:184
msgid "\n"

#: src/configure/clusterpkg/util_smbconf_module.py:172
#: src/configure/clusterpkg/util_smbconf_module.py:185
#, python-format
msgid "[%s]\n"
Comment 2 Christian Rose 2003-08-15 20:16:49 EDT
Also applies to:

#: src/configure/clusterpkg/ClusterEntity.py:148
#, python-format
msgid ""
"\n"
"%s:"

#: src/configure/clusterpkg/ClusterEntity.py:154
#, python-format
msgid "  %s = %s"
Comment 3 Christian Rose 2003-08-16 10:14:56 EDT
And this one:

#: src/configure/daemonPropDialog.py:161
#, python-format
msgid "%s"
Comment 4 Hardy Merrill 2003-08-18 11:56:00 EDT
We have no control over the strings in glade files - that is, whether or not
they should be translated.  I agree with you - I can't see why the strings you
have pointed out should be translated either, but I have no way to specify that.
Comment 5 Christian Rose 2003-08-18 12:03:17 EDT
AFAIK, glade messages have a "translatable" property. Setting that to "no"
should work.
Comment 6 Hardy Merrill 2003-08-18 15:44:33 EDT
I did discover that the .glade file *does* have a 'translatable' attribute for a
label, but
  1. there is no way *in* the glade gui to refer to that 'translatable'
     attribute, and
  2. if I change the 'translatable' attribute in the .glade file manually to 'no',
     and then make a change in the glade gui and 'Save' in the gui, the
     'translatable' gets reset back to 'yes'

So there is no way for me to change 'translatable' in the .glade file and have
it stay changed.  Seems like the glade gui should provide a way to change the
'translatable' attribute, but currently it doesn't.

However, I did make all the other non-glade changes that you requested.  But,
the build for this probably did NOT make it in time to be included in Taroon
Beta 2.  If it didn't make Beta 2, then it will be included in the nightly build
pushes to RHN, so if you do 'up2date' on Taroon Beta2 you will get the new
redhat-config-cluster package.

Note You need to log in before you can comment on or make changes to this bug.